{{- if .Values.database.enable -}}
apiVersion: v1
kind: PersistentVolumeClaim

metadata:
  name: {{ include "application.type" . }}-database-data
  namespace: {{ .Release.Namespace }}
  labels:
    cattle.io/creator: norman
    app: {{ .Values.client.type }}
    chart: {{ include "nemobileapp.chart" . }}
    release: {{ .Release.Name }}

spec:
  accessModes:
    - "ReadWriteOnce"
  resources:
    requests:
      storage: {{ .Values.database.size | quote }}
  storageClassName: do-block-storage
{{- end -}}
